"use strict";
/**
 * data-storage.ts
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStorage = void 0;
const timed_kvs_1 = require("timed-kvs");
const container_1 = require("./container");
/**
 * Persistent Storage
 */
class SimpleStorage {
    constructor() {
        this.items = {};
    }
    getItem(key) {
        return this.items[key];
    }
    setItem(key, value) {
        this.items[key] = value;
    }
}
/**
 * returns a function which returns an EnvelopeKVS instance.
 */
function getStorage(expires, maxItems) {
    if (expires > 0 || maxItems > 0)
        return (0, container_1.objectFactory)(() => new timed_kvs_1.TimedKVS({ expires, maxItems }));
    if (expires < 0)
        return (0, container_1.objectFactory)(() => new SimpleStorage());
}
exports.getStorage = getStorage;
